= kmc_tools-dump(1)

== NAME

kmc_tools-dump - dump k-mers and counters to text file

== SYNOPSIS

*kmc_tools dump* [dump_params] <inputdb> [input_params] <output>

== DESCRIPTION

This command produces a text dump of the KMC database.

== OPTIONS

For each input there are additional parameters:

  *-ci<value>*::
    exclude k-mers occurring less than <value> times
  *-cx<value>*::
    exclude k-mers occurring more of than <value> times

Dump operation parameters:

  *-s*::
    sorted output

== EXAMPLE

    kmc_tools dump wy_kmc2 -ci3 -cx1000 dump.txt

== AUTHOR

KMC was originally written by:

 - Sebastian Deorowicz (sebastian.deorowicz@polsl.pl)

 - Marek Kokot

 - Szymon Grabowski

 - Agnieszka Debudaj-Grabysz

== COPYING

KMC is a free software distributed under GNU GPL3 licence for academic,
research, and commercial use.
